GWT 2.7.0

## com.google.gwt.user.client.rpc
Interface HasRpcToken

    public interface HasRpcToken

An interface implemented by client-side RPC proxy objects. Cast the object returned from `GWT.create(Class)` on a `RemoteService` to this interface to set `RpcToken` and `RpcTokenExceptionHandler`.

Method Summary
`RpcToken` | `getRpcToken()` Return RPC token used with this RPC instance.
`RpcTokenExceptionHandler` | `getRpcTokenExceptionHandler()` Return RPC token exception handler used with this RPC instance.
`void` | `setRpcToken(RpcToken token)` Sets the `RpcToken` to be included with each RPC call.
`void` | `setRpcTokenExceptionHandler(RpcTokenExceptionHandler handler)` Sets the handler for exceptions that occurred during RPC token processing.

Method Detail

### getRpcToken

    RpcToken getRpcToken()

  Return RPC token used with this RPC instance.

  Returns:
    RPC token or `null` if none set.

### getRpcTokenExceptionHandler

    RpcTokenExceptionHandler getRpcTokenExceptionHandler()

  Return RPC token exception handler used with this RPC instance.

  Returns:
    Exception handler or `null` if none set.

### setRpcToken

    void setRpcToken(RpcToken token)

  Sets the `RpcToken` to be included with each RPC call.

### setRpcTokenExceptionHandler

    void setRpcTokenExceptionHandler(RpcTokenExceptionHandler handler)

  Sets the handler for exceptions that occurred during RPC token processing.

GWT 2.7.0